net.sf.jasperreports.components.headertoolbar.actions

## Class AbstractVerifiableTableAction

- java.lang.Object
- - net.sf.jasperreports.web.actions.AbstractAction
  - - net.sf.jasperreports.components.headertoolbar.actions.AbstractVerifiableTableAction

- All Implemented Interfaces:
    Action
  Direct Known Subclasses:
    ConditionalFormattingAction, EditTextElementAction, FilterAction, HideUnhideColumnsAction, MoveColumnAction, ResizeColumnAction, SortAction

      public abstract class AbstractVerifiableTableAction
      extends AbstractAction

  Version:
    $Id: AbstractVerifiableTableAction.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `AbstractAction.ActionErrors`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BaseColumnData` | `columnData`
    `protected static FormatFactory` | `formatFactory`
    `protected StandardTable` | `table`
    `protected java.lang.String` | `targetUri`

    - ### Fields inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `ERR_CONCAT_STRING, errors, PARAM_COMMAND_STACK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractVerifiableTableAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessagesBundle()`
    `StandardTable` | `getTable(java.lang.String uuid)`
    `void` | `prepare()`
    `void` | `run()`
    `abstract void` | `verify()`

    - ### Methods inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `createNumberFormat, getCommandStack, getCommandTarget, getCommandTarget, getJasperReportsContext, getReportContext, init, performAction, requiresRefill, setCommandStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columnData

          protected BaseColumnData columnData

    - #### table

          protected StandardTable table

    - #### targetUri

          protected java.lang.String targetUri

    - #### formatFactory

          protected static FormatFactory formatFactory

  - ### Constructor Detail

    - #### AbstractVerifiableTableAction

          public AbstractVerifiableTableAction()

  - ### Method Detail

    - #### getMessagesBundle

          public java.lang.String getMessagesBundle()

      Overrides:
        `getMessagesBundle` in class `AbstractAction`

    - #### getTable

          public StandardTable getTable(java.lang.String uuid)

    - #### prepare

          public void prepare()
                       throws ActionException

      Throws:
        `ActionException`

    - #### run

          public void run()
                   throws ActionException

      Specified by:
        `run` in interface `Action`
      Overrides:
        `run` in class `AbstractAction`
      Throws:
        `ActionException`

    - #### verify

          public abstract void verify()
                               throws ActionException

      Throws:
        `ActionException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com